Summary:	CSS editor for web developers
Summary(pl.UTF-8):	Edytor CSS dla programistów stron
Name:		cssed
Version:	0.4.0
Release:	3
Group:		X11/Development/Tools
License:	GPL
Source0:	http://dl.sourceforge.net/cssed/%{name}-%{version}.tar.gz
# Source0-md5:	ff7c818d1f819b7d76b4f714be64e08e
Source1:	%{name}.desktop
URL:		http://cssed.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cssed is a GTK+ CSS editor for web developers. It's not finished yet
and it's a beta release candidate only, but it's already a powerfull
CSS editor. cssed have features that allow any developer to speed his
coding as autocompletion or CSS syntax higlighting.

%description -l pl.UTF-8
cssed jest edytorem CSS opartym o GTK+ dla programistów stron WWW. Nie 
jest jeszcze ukończony i jest to tylko wersja beta, ale już pokazuje 
swoje potężne możliwości. Umożliwia między innymi przyspieszenie 
kodowania CSS przez autouzupełnianie oraz podświetlanie składni CSS.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install pixmaps/%{name}-icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}-icon.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/cssed
%{_datadir}/%{name}
%{_pixmapsdir}/%{name}-icon.png
%{_desktopdir}/%{name}.desktop
%{_mandir}/man?/*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cssed.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 5706542
- Release 3 (by relup.sh)

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c4a3201
- Release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f97ab24
- updated gettext BR

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 2d95fac
- dropped pre-cvs changelog

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 2f77f27
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e0f8884
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dba05cc
- converted to UTF-8

* Fri Feb 03 2006 Marcin Banasiak <marcin.banasiak@gmail.com> a5b3be5
- better group

* Fri Nov 25 2005 twittner <twittner@pld-linux.org> 190ac0d
- typo

* Fri Nov 25 2005 twittner <twittner@pld-linux.org> 4783c56
- dropped - included in cssed-0.4.0

* Fri Nov 25 2005 twittner <twittner@pld-linux.org> 19f83e2
- up to 0.4.0 (0.3.0 has serious problems with displaying fonts)
- dropped -pango.patch (included in sources)
- added %%{__autoheader} (it uses config.h.in)
- removed pkgconfig/cssed.pc from %files - not installed during make install

* Tue Aug 16 2005 paladine <paladine@pld-linux.org> 360522e
- added pango patch
- rel. 2

* Tue Aug 16 2005 paladine <paladine@pld-linux.org> 9bc98c3
- patch from anjuta fixing pango >= 1.8.0 rendering bug

* Tue May 31 2005 zbyniu <zbyniu@pld-linux.org> c645723
- BR: gettext-devel

* Mon Feb 28 2005 Jakub Bogusz <qboosh@pld-linux.org> fecab39
- s/belnet\.dl/dl/ in Source URL (belnet is no longer browsable)

* Sat Nov 27 2004 saq <saq@pld-linux.org> 04a3134
- massive attack: add missing gtk+2-devel epoch in BR

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> b9e1147
- updated to 0.3.0

* Fri Jul 16 2004 ankry <ankry@pld-linux.org> bb0c90b
- desktop moved to Source1 and updated, rel. 2

* Fri Jul 16 2004 ankry <ankry@pld-linux.org> 0285d57
- moved from spec, updated

* Sat May 15 2004 undefine <undefine@pld-linux.org> f25eeeb
- update to 0.2.1

